// WinAxiPile_Tabs.inc
// 04/25/07

class MyListView : CListView
{
	declare SetItemTextCtr(int i, int j, string SomeText, int maxsize);
	declare SetItemNumCtr(int i, int j, double SomeNumber, int digits, int maxsize);
	declare InsertItemCtr(int i, string SomeText, int maxsize);
	declare SetItemTextRt(int i, int j, string SomeText, int maxsize);
	declare SetItemNumRt(int i, int j, double SomeNumber, int digits, int maxsize);
	declare InsertItemRt(int i, string SomeText, int maxsize);
}
// -------------------------------------------------------------------------
class TabDlg : CDialog
{
	declare _TabDlg();				// destructor
	declare OnInitDialog(),int;
	declare OnClose(),int;
	declare OnControl(int nID, int nNotifyCode, unsigned int hControl), int;

	declare Refresh_Pile_Info_Values();
	declare Refresh_Soil(int OldLayer, int Layer);
	declare Refresh_TotalDepth();

	declare ShowHide_Pile_Tab( int DoIt );
	declare ShowHide_Soil_Tab( int DoIt );
	declare ShowHide_Soil_Review( int DoIt );
	declare ShowHide_SegmentPile( int DoIt );
	declare ShowHide_TZAnalysis( int DoIt );

	declare Calc_Pile_Area( double d, int shape), double;
	declare Calc_Pile_Perimeter( double d, int shape), double;

	declare OnTimer(int nIDEvent), int;

	declare OnMenuInit(unsigned int hMenu),int;
	declare OnMenuPick(int nID),int;
	
	declare LoadInputFile(), int;
	declare SaveInputFile(), int;
	declare SaveInputFileAs(), int;
	declare SaveOutputFile(), int;
	declare WriteInputFile( string IFilenm ), int;
	declare WriteOutputFile( string OFilenm ), int;
	declare ReadInputFile( string IFilenm ), int;

	declare FormatPageHeader(CString FString BYREF, string OutPutType), int;
	declare FormatProjInfo(CString FString BYREF, string OutPutType), int;
	declare FormatPileInfo(CString FString BYREF, string OutPutType), int;
	declare FormatSoilInfo(CString FString BYREF, string OutPutType), int;
	declare FormatSoilInfo2(CString FString BYREF, string OutPutType), int;
	declare FormatInitialSoilStress(CString FString BYREF, string OutPutType), int;
	declare FormatPileSegmnt(CString FString BYREF, string OutPutType ), int;
	declare FormatPileInitialSoilStress( CString FString BYREF, string OutPutType ), int;
	declare FormatStressStrainRelationship( CString FString BYREF, string OutPutType ), int;
	declare FormatRO( CString FString BYREF, string OutPutType ), int;
	declare FormatPileTipInfo( CString FString BYREF, string OutPutType ), int;
	declare FormatPileTipInfo2( CString FString BYREF, string OutPutType ), int;
	declare FormatPileTipRO( CString FString BYREF, string OutPutType ), int;
	declare FormatTZSummary( CString FString BYREF, int LayerSegs, string OutPutType ), int;
	declare FormatTZDetailHeader( CString FString BYREF, string OutPutType), int;
	declare FormatTZDetail( int n, TZArray pTZ, string line BYREF, string segstr BYREF, string OutPutType ), int;

	public:
	//member pointers to copy the control class pointers into.
	CTabCtrl *m_tab1;		 // pointer to tab dialog object

	// about pointers
	CButton  *m_abt_btn1;
	CStatic  *m_abt_txt;

	// project info pointers
	CControl	*m_proj_info[NPROJINFO];
	CEdit		*m_proj_edit[NPROJEDIT];

	// pile info pointers
	CControl	*m_pile_info[NPILETEXT];	// pointers to all pile info tab objects for show & hide
	CButton		*m_pile_bttn[NPILEBTTN];	// pointers to check boxes and done button
	
	NEdit		*PileEdit[NPILEEDIT];		// numeric edit objects used in limiting numeric input

	// soil info pointers
	CControl *m_soil_info[NSOILINFO];

	NEdit	*SoilEdit[NSOILEDIT];	// numeric edit objects used in limiting numeric input

	CButton  *m_soil_bttn[5];

	CSpinButton  *m_soil_spin;

	CEdit    *m_soil_edit[3]; // 0 = EDIT_TOTDEPTH, 1 = EDIT_LAYERNO, 2 = EDIT_SEG

// review tab
	MyListView *pList;
	DataArray SoilStress;

// segment pile tab
	CStatic    *pPileList1;
	MyListView *pPileList2;
	CStatic    *pPileList3;
	MyListView *pPileList4;


// t-z analyze pile tab
	MyListView *pTZList;
	NEdit      *TZNEdit;
	CStatic    *pTZText[Tab6_NumText+1];
	CControl   *pZpText;
	CControl   *pQpText;
	CControl   *pZtText;
	CControl   *pQtText;
	CControl   *pKtText;

	//member variables
//	public:
	int nTab;
	double BD, TD, BA, TA, E, dD, TotalDepth, OldDblValue, L, FC, BEA, TEA, FSide, Adhesion;
	int ErrorFlag, Flag, PileFirstTime, SoilFirstTime, EdittedFlag;
	int NumSoilLayers, OldIntValue, OldLayer, Layer, OldNumRows;
	int Seg, NumPileSegs, OldNumPileSegs;
	string EdString, IFileName, OFileName, SFileName, Info1, Info2;
	
	string bdr, INDENT, FF;
	
	CString pagehdr;		// page header
	CString headg;			// heading for data output
	CString body;			// body of text
	CString document;		// document buffer
	int linenumber;			// line number on page of output

	unsigned int nChar;
	int nRepCnt;

	DrawBricks Soil_Schematic_dwg;
	DataArray SoilInfo;
	PileStrss PileStress;

	TZArray pTZ;
}
